Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Update the ithreads warning, and make the delay for it a little longer

so people can digest it.
  • Loading branch information...
commit a4fcabab974319f314891f4abee3801bc6fd4b6a 1 parent 969edc3
@rcaputo authored
Showing with 24 additions and 26 deletions.
  1. +24 −26 Makefile.PL
View
50 Makefile.PL
@@ -7,41 +7,39 @@ use Config;
eval "use 5.005_03";
if ($@) {
warn( "\n",
- "================================================================\n",
+ "===============================================================\n",
"\n",
- "Perl 5.005_03 or later is preferred, and versions before it may\n",
- "be deprecated in the future. Try installing POE with a newer\n",
- "version of Perl to see what you're missing. :)\n",
+ "Perl 5.005_03 or later is preferred, and versions before it are\n",
+ "deprecated. Try installing POE with a newer version of Perl to\n",
+ "see what you're missing. :)\n",
"\n",
- "================================================================\n",
+ "===============================================================\n",
"\n",
);
require "./lib/Makefile-5004.pm";
}
else {
- if( (defined $Config{useithreads}) && ($Config{useithreads} eq 'define') ) {
- warn( "\n",
- "================================================================\n",
- "\n",
- "You appear to using a perl compiled with ithreads activated.\n",
- "As of the time of writing (Sep 22 2002), ithreads has a rather\n",
- "icky bug related to constants. This bug causes POE to exhibit\n",
- "some rather strange behavior or to simply not function.\n",
- "\n",
- "It is advised that you do not use POE with an ithreads enabled\n",
- "perl. Sorry for any inconvenience.\n",
- "\n",
- "For more information on this issue and to track its status\n",
- "please see http://bugs6.perl.org/rt2/Ticket/Display.html?id=15654\n",
- "\n",
- "================================================================\n",
- "\n",
+ if( (defined $Config{useithreads}) && ($Config{useithreads} eq 'define') ) {
+ warn( "\n",
+ "================================================================\n",
+ "\n",
+ "Your perl seems to be built with ithreads activated. As of this\n",
+ "writing (Sep 22 2002), ithreads has a rather icky bug where\n",
+ "constant values may randomly change. This can cause sporadic\n",
+ "errors in POE, which makes heavy use of constants.\n",
+ "\n",
+ "We recommend rebuilding perl without ithreads until the problem\n",
+ "is resolved. The issue is described in detail and tracked at\n",
+ "http://bugs6.perl.org/rt2/Ticket/Display.html?id=15654\n",
+ "\n",
+ "================================================================\n",
+ "\n",
);
- sleep 2;
- print "Continuing with configure process...\n";
- }
- require "./lib/Makefile-5005.pm";
+ sleep 5;
+ print "Continuing with configure process...\n";
+ }
+ require "./lib/Makefile-5005.pm";
}
0;
Please sign in to comment.
Something went wrong with that request. Please try again.